MainOrTile (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.jpeg2000
Class MainOrTile

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.jpeg2000.MainOrTile

Direct Known Subclasses:
  Codestream, Tile

    public abstract class MainOrTile

extends java.lang.Object

Abstract superclass for Codestream and Tile classes. Many marker segments can apply either to the codestream as a whole or to specific tiles; this class merges those features in a single place.

Author:
  Gary McGath

Field Summary
`protected Property` | `_codProperty` Coding style default property
`protected java.util.List<Property>` | `_comments` Comments -- list of properties
`protected Property[]` | `_components` Array of components.
`protected java.util.List<java.lang.Long>` | `_packetLengthList`
`protected Property` | `_pocProperty` Progression order change property
`protected int[]` | `_precSize`
`protected Property` | `_qcdProperty` Quantization default property
`protected static int` | `NULL`

Constructor Summary
`MainOrTile()`

Method Summary
`void` | `addComment(Property comment)` Adds a property to the comment list
`void` | `addPacketLength(long len)` Add a packet length to the list of packet lengths.
`protected int` | `getNumComponents()` Gets the number of components.
`void` | `setCODProperty(Property prop)` Sets the coding style default property.
`void` | `setCompProperty(int idx, Property prop)` Sets a property indexed by component.
`void` | `setNumComponents(int nComp)` Sets the number of components.
`void` | `setPOCProperty(Property prop)` Sets the progression order change property.
`void` | `setQCDProperty(Property prop)` Sets the quantization default property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL

    protected static final int NULL

See Also:
  Constant Field Values

### _precSize

    protected int[] _precSize

### _components

    protected Property[] _components

  Array of components. This is created when the SIZ marker segment reports the number of components.

### _codProperty

    protected Property _codProperty

  Coding style default property

### _qcdProperty

    protected Property _qcdProperty

  Quantization default property

### _pocProperty

    protected Property _pocProperty

  Progression order change property

### _comments

    protected java.util.List<Property> _comments

  Comments -- list of properties

### _packetLengthList

    protected java.util.List<java.lang.Long> _packetLengthList

Constructor Detail

### MainOrTile

    public MainOrTile()

Method Detail

### setNumComponents

    public void setNumComponents(int nComp)

  Sets the number of components. As a side effect, creates the compoments array. This should be called from the SIZMarkerSegment class, and in a valid file will precede the setting of any components.

### setCompProperty

    public void setCompProperty(int idx,
                                Property prop)

  Sets a property indexed by component.

### getNumComponents

    protected int getNumComponents()

  Gets the number of components.

### setCODProperty

    public void setCODProperty(Property prop)

  Sets the coding style default property.

### setQCDProperty

    public void setQCDProperty(Property prop)

  Sets the quantization default property.

### setPOCProperty

    public void setPOCProperty(Property prop)

  Sets the progression order change property.

### addComment

    public void addComment(Property comment)

  Adds a property to the comment list

### addPacketLength

    public void addPacketLength(long len)

  Add a packet length to the list of packet lengths.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD